package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 规则创意清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_creative")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_creative对象", description="规则创意清洗数据")
public class RuleDataCreative {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	/**planId*/
	@Excel(name = "planId", width = 15)
    @ApiModelProperty(value = "planId")
	private Long planId;
	/**creativeId*/
	@Excel(name = "creativeId", width = 15)
    @ApiModelProperty(value = "creativeId")
	private Long creativeId;
	/**presentedVideo*/
	@Excel(name = "presentedVideo", width = 15)
    @ApiModelProperty(value = "presentedVideo")
	private Integer presentedVideo;
	/**creativeTitle*/
	@Excel(name = "creativeTitle", width = 15)
    @ApiModelProperty(value = "creativeTitle")
	private String creativeTitle;
	/**source*/
	@Excel(name = "source", width = 15)
    @ApiModelProperty(value = "source")
	private String source;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
