package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 规则空耗清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_waste_cost")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_waste_cost对象", description="规则空耗清洗数据")
public class RuleDataWasteCost {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	/**planId*/
	@Excel(name = "planId", width = 15)
    @ApiModelProperty(value = "planId")
	private Long planId;
	/**wasteCost*/
	@Excel(name = "wasteCost", width = 15)
    @ApiModelProperty(value = "wasteCost")
	private BigDecimal wasteCost;
	/**wasteDay*/
	@Excel(name = "wasteDay", width = 15)
    @ApiModelProperty(value = "wasteDay")
	private Integer wasteDay;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
